/%h4.text-primary Socio Demographic Information
.panel.panel-default{"ng-controller" => "FarmerCtrl"}
  .panel-heading
    %h4.text-primary Farmers
    
    %fieldset{:style => 'padding:0px;margin-bottom:0px;'}
      .form-group{:class => "col-sm-3"}
        %select{"ng-model" => "vm.district", "ng-options" => "district.name for district in districts track by district.id", :class => "form-control", "ng-change" => "get_sub_water_sheds_index()"}
          %option{:value=>'', :selected => 'selected'} Select District
      .form-group{:class => "col-sm-3"}
        %select{"ng-model" => "vm.sub_water_shed", "ng-options" => "(sub_water_shed.name +' - '+sub_water_shed.code) for sub_water_shed in sub_water_sheds track by sub_water_shed.id", :class => "form-control","ng-change" => "get_micro_water_sheds_index()"}
          %option{:value=>'', :selected => 'selected'} Select Sub Water Shed
      .form-group{:class => "col-sm-3"}
        %select{"ng-model" => "vm.micro_water_shed", "ng-options" => "(micro_water_shed.name + ' - '+micro_water_shed.code) for micro_water_shed in micro_water_sheds track by micro_water_shed.id", :class => "form-control"}
          %option{:value=>'', :selected => 'selected'} Select Micro water Shed
      .form-group{:class => 'col-sm-2', :style =>'padding-top:3px;'}    
        .btn.btn-primary.btn-sm{ "ng-click" => "search_btn()"} Search    
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Sr.No
            %th Name
            %th District
            %th Sub Water Shed
            %th Micro Water Shed
            %th Village
            %th Smu
            %th Topography
            %th


        %tbody
          %tr{ "ng-repeat" => "farmer in data_list track by $index"}
            %td {{ page_range + $index + 1 }}
            %td{"ng-click" => "user.is_allowed('write_farmer') ? get_farmer(farmer.id) : ''"}
              %a{:href=>""} {{ farmer.name }}
            %td {{ farmer.district.name }}
            %td {{ farmer.sub_water_shed.name }}
            %td {{ farmer.micro_water_shed.name }}
            %td {{ farmer.village.name }}
            %td {{ farmer.smu.name }}
            %td {{ farmer.topography.name }}
            %td
              %a{ "ng-click" => "delete(farmer.id, farmer.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
   
    %bgf-pagination{ :size => 'sm',:collection => "data_list", :url => "'/farmers.json'", 'per-page-presets' => "[15, 25]", 'auto-presets' => 'false', "url-params" => "{user: user_params, micro_water_shed: vm.micro_water_shed.id}"}


                
